.TH LS "1" "December 2023" "Swift-tools" "User Commands"
.SH NAME
st-status \- a Swift-tools command
.SH SYNOPSIS
.B st-status
.I [OPTION]...

.SH DESCRIPTION
.LP
.I st-status
Show Swift cluster status

.LP
.B [-a|--all]
.IP
Active all options

.LP
.B [--base2]
.IP
Print human-readable result in base 2 unit (kiB, MiB...)

.LP
.B [-j|--json]
.IP
Format output as json

.LP
.B [-s|--cluster-status]
.IP
Show cluster state

.LP
.B [-r|--cluster-reason]
.IP
Show cluster state reason

.LP
.B [--ntp_drift]
.IP
Show servers NTP drift

.LP
.B [--validate]
.IP
Validate server in the swift ring

.LP
.B [-u|--disk-unmounted]
.IP
Show unmounted or unknown state drives

.LP
.B [-d|--disk-usage]
.IP
Show disk usage for object ring

.LP
.B [-f|--disk-filling]
.IP
Show disk filling for object ring

.LP
.B [--disk-fmin]
DISK_FMIN
.IP
Display Node/device filling < DISK_FMIN

.LP
.B [--disk-fmax]
DISK_FMAX
.IP
Display Node/device filling > DISK_FMAX

.LP
.B [--disk-deviation]
.IP
Show object ring deviation

.SH LICENSE
This is released under the Apache-2.0 license.

.SH AUTHORS
Philippe SERAPHIN <philippe.seraphin at infomaniak dot com>
.br
Thomas GOIRAND <zigo at debian dot org>

.SH "REPORTING BUGS"
<https://salsa.debian.org/openstack-team/third-party/swift-tools>

.SH "SEE ALSO"
\fBswift\fP(1)

